[MIR] xserver-xorg-video-qxl

Bug #709537 reported by Dustin Kirkland  on 2011-01-28
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xserver-xorg-video-qxl (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: xserver-xorg-video-qxl

Availability:
 * Already in Ubuntu Universe.

Rationale:
 * We have a goal in Ubuntu of being both an outstanding virtualization/cloud hypervisor, as well as an outstanding virtualization/cloud guest. In order for Ubuntu desktop guests to be optimized for next generation virtualization/cloud hosts, we should include the xserver-xorg-video-qxl (SPICE) driver on the desktop ISO, which necessitates this MIR.

Security:
 * No history.

Quality Assurance:
 * No additional user setup should be required.
 * No debconf questions.
 * No long term open bugs.
 * No upstream or Debian bugs.
 * Package is maintained. New, but maintained.
 * No exotic hardware. A new, special virtual machine driver is required, coming to Ubuntu kvm hypervisors soon (-vga qxl)
 * No test suite. Sorry.

UI Standards:
 * No translations or desktop file necessary

Dependencies:
 * All build and runtime dependencies are already in Main

Standards:
 * No standards violations

Maintenance:
 * No issues here.

Background:
 * SPICE is a protocol, perhaps similar in principle to something like VNC or Remote Desktop, but promises a far richer remote-virtual-desktop experience, including multimedia (sound and high-quality video). Red Hat is currently leading in this space, producing both hypervisors and clients that support the SPICE protocol. In order for Ubuntu Desktops to be used in such an environment, this xorg library will be required on the Ubuntu Desktop. For more information about SPICE, see:
  - http://www.redhat.com/virtualization/rhev/desktop/spice/

Bryce Harrington (bryce) wrote :

Sarvatt raised one maintenance issue is that RedHat is slow at updating it for ABI changes in xserver. If we include it in -video-all this would hold back xserver transitions since it won't build.

Bryce Harrington (bryce) wrote :

Subbing RAOF; since he fixed an ABI issue once before, it would be worth getting his thoughts on the feasibility of this before making a decision.

Chris Halse Rogers (raof) wrote :

The X server video ABI isn't *terribly* fragile. The ABI change patches that I've done have been relatively simple affairs, and this will have the advantage that I could actually test it!

I expect the ABI maintenance to be an annoying, but supportable, cost.

Michael Terry (mterry) wrote :

Kees, can you look at this?

Changed in xserver-xorg-video-qxl (Ubuntu):
assignee: nobody → Kees Cook (kees)
Kees Cook (kees) wrote :

I might like to see the use of debian/clean instead of all the rm -f's in debian/rules, but overall, this package looks okay to me. If RAOF is managing the ABI, that's perfect. +1

Changed in xserver-xorg-video-qxl (Ubuntu):
status: New → In Progress
assignee: Kees Cook (kees) → nobody
Kees Cook (kees) on 2011-02-03
Changed in xserver-xorg-video-qxl (Ubuntu):
status: In Progress → Fix Committed
Matthias Klose (doko) wrote :

2011-03-01 19:50:12 INFO Override Component to: 'main'
2011-03-01 19:50:21 INFO 'xserver-xorg-video-qxl - 0.0.12-1ubuntu3/universe/x11' source overridden
2011-03-01 19:50:21 INFO 'xserver-xorg-video-qxl-0.0.12-1ubuntu3/universe/x11/OPTIONAL' binary overridden in natty/amd64
2011-03-01 19:50:21 INFO 'xserver-xorg-video-qxl-0.0.12-1ubuntu3/universe/x11/OPTIONAL' binary overridden in natty/armel
2011-03-01 19:50:21 INFO 'xserver-xorg-video-qxl-0.0.12-1ubuntu3/universe/x11/OPTIONAL' binary overridden in natty/i386
2011-03-01 19:50:21 INFO 'xserver-xorg-video-qxl-0.0.12-1ubuntu3/universe/x11/OPTIONAL' binary overridden in natty/powerpc

Changed in xserver-xorg-video-qxl (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers